package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBEquipmentTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBEquipmentType and its DTO TBEquipmentTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBEquipmentTypeMapper extends EntityMapper<TBEquipmentTypeDTO, TBEquipmentType> {



    default TBEquipmentType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBEquipmentType tBEquipmentType = new TBEquipmentType();
        tBEquipmentType.setId(id);
        return tBEquipmentType;
    }
}
